import request from "@/http/request";

const sendVehicleNo = (params) => {
  return request({
    url: '/task/sendVehicleNo',
    method: 'post',
    data: params
  })
}

const sendGoodsInTask = (params) => {
  return request({
    url: '/task/sendGoodsInTask',
    method: 'post',
    data: params
  })
}

const submitPackageTask = (params) => {
  return request({
    url: '/taskOut/submitPackageTask',
    method: 'post',
    data: params
  })
}

const sendGoodsOutTask = (params) => {
  return request({
    url: '/task/sendGoodsOutTask',
    method: 'post',
    data: params
  })
}

const getAllTasks = () => {
  return request({
    url: '/task/getAllTasks',
    method: 'get'
  })
}

const sendInventoryTask = (params) => {
  return request({
    url: '/task/sendInventoryTask',
    method: 'post',
    data: params
  })
}

const finishInventoryTask = (params) => {
  return request({
    url: '/task/finishInventoryTask',
    method: 'post',
    data: params
  })
}

const getTasks = (params) => {
  return request({
    url: '/task/getTasks',
    method: 'post',
    data: params
  })
}

const getAllKateTasks = (params) => {
  return request({
    url: '/task/getKateTasks',
    method: 'post',
    data: params
  })
}

const getKateTasksByTask = (params) => {
  return request({
    url: '/task/getKateTasksByTask',
    method: 'post',
    data: params
  })
}

const finishPicking = (params) => {
  return request({
    url: '/task/finishPicking',
    method: 'post',
    data: params
  })
}

const finishCurrentKateTask = (params) => {
  return request({
    url: '/task/finishCurrentKateTask',
    method: 'post',
    data: params
  })
}

const getTaskByTask = (params) => {
  return request({
    url: '/task/getTaskByTask',
    method: 'post',
    data: params
  })
}

const getAllPeijians = (params) => {
  return request({
    url: '/task/getAllPeijians',
    method: 'post',
    data: params
  })
}

const getPeijians = (params) => {
  return request({
    url: '/task/getPeijians',
    method: 'post',
    data: params
  })
}

const getAllHejians = (params) => {
  return request({
    url: '/task/getAllHejians',
    method: 'post',
    data: params
  })
}

const getHejians = (params) => {
  return request({
    url: '/task/getHejians',
    method: 'post',
    data: params
  })
}

const getAllJinjis = (params) => {
  return request({
    url: '/task/getAllJinjis',
    method: 'post',
    data: params
  })
}

const getJinjis = (params) => {
  return request({
    url: '/task/getJinjis',
    method: 'post',
    data: params
  })
}

const getAllPackages = (params) => {
  return request({
    url: '/task/getAllPackages',
    method: 'post',
    data: params
  })
}

const getPackages = (params) => {
  return request({
    url: '/task/getPackages',
    method: 'post',
    data: params
  })
}

const getPrintData = (params) => {
  return request({
    url: '/task/getPrintData',
    method: 'post',
    data: params
  })
}

const redistributeLackKateTask = (params) =>{
  return request({
    url: '/task/redistributeLackKateTask',
    method: 'post',
    data: params
  })
}

const callEmptyVehicle = (params) => {
  return request({
    url: '/taskOut/callEmptyVehicle',
    method: 'post',
    data: params
  })
}

const changeTaskStatus = (params) => {
  return request({
    url: '/taskDeal/changeTaskStatus',
    method: 'post',
    data: params
  })
}

const deleteAllKateTasks = (params) => {
  return request({
    url: '/taskDeal/deleteAllKateTasks',
    method: 'post',
    data: params
  })
}

const sendBoxArrive = (params) => {
  return request({
    url: '/task/boxArrive',
    method: 'post',
    data: params
  })
}

const selectVehicleOut = (params) => {
  return request({
    url: '/task/vehicleOut',
    method: 'post',
    data: params
  })
}

export {
  sendVehicleNo,
  sendGoodsInTask,
  sendGoodsOutTask,
  getAllTasks,
  sendInventoryTask,
  finishInventoryTask,
  getTasks,
  getAllKateTasks,
  getKateTasksByTask,
  finishPicking,
  finishCurrentKateTask,
  getTaskByTask,
  getAllPeijians,
  getAllHejians,
  getPrintData,
  redistributeLackKateTask,
  getPeijians,
  getHejians,
  getJinjis,
  getAllJinjis,
  getAllPackages,
  getPackages,
  callEmptyVehicle,
  changeTaskStatus,
  deleteAllKateTasks,
  submitPackageTask,
  sendBoxArrive,
  selectVehicleOut
}